#!/usr/bin/bash

mkdir /srv/servnest/ht
cp -r /install/http-messages /srv/servnest/ht/http-messages
chown -R root:root /srv/servnest/ht
chmod -R u=rX,g=rX,o=rX /srv/servnest/ht

mkdir /srv/servnest/ht/fs
chown -R $apache:$sftpgo /srv/servnest/ht/fs
chmod -R u=rX,g=rwX,o= /srv/servnest/ht/fs

mkdir /srv/servnest/ht/uri
mkdir /srv/servnest/ht/uri/ht.servnest.test
chown -R $servnest:$apache /srv/servnest/ht/uri
chmod -R u=rwX,g=rX,o= /srv/servnest/ht/uri

if [[ $OS = "arch" ]]; then
	rm -r /etc/httpd/*
	mkdir /etc/httpd/conf/
	cp -r /install/apache/* /etc/httpd/
	mv /etc/httpd/httpd.conf /etc/httpd/conf/httpd.conf

	mkdir -m 0755 /srv/servnest/ht/usr
	mkdir -m 0755 /srv/servnest/ht/usr/lib
	ln /usr/lib/libc.so.6 /srv/servnest/ht/usr/lib/libc.so.6
fi

if [[ $OS = "debian" ]]; then
	rm -r /etc/apache2/*
	cp -r /install/apache/* /etc/apache2/
	mv /etc/apache2/httpd.conf /etc/apache2/apache2.conf
	sed -i 's#/usr/lib/httpd/modules/#/usr/lib/apache2/modules/#g' /etc/apache2/apache2.conf
	sed -i 's#ServerRoot "/etc/httpd"#ServerRoot "/etc/apache2"#' /etc/apache2/apache2.conf
	sed -i 's/LoadModule unixd_module/#LoadModule unixd_module/' /etc/apache2/apache2.conf
	sed -i 's/LoadModule log_config_module/#LoadModule log_config_module/' /etc/apache2/apache2.conf
	sed -i 's#/var/log/httpd/#/var/log/apache2/#g' /etc/apache2/apache2.conf

	mkdir -m 0755 /srv/servnest/ht/lib
	mkdir -m 0755 /srv/servnest/ht/lib/x86_64-linux-gnu
	ln /lib/x86_64-linux-gnu/libgcc_s.so.1 /srv/servnest/ht/lib/x86_64-linux-gnu/libgcc_s.so.1
	ln /lib/x86_64-linux-gnu/libc.so.6 /srv/servnest/ht/lib/x86_64-linux-gnu/libc.so.6
fi

